summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Heinz Wiesinger <HMWiesinger@gmx.at>2010-05-11 20:01:08 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 20:01:08 +0200
commitaf6d6c5867121e2590d4c8dbe31abaccffda013b (patch)
tree08cf9193adba3107fb5893bd2fd717cebb7a5b99
parente1e7025e6bc2d645933e6391dcad3ae59f73ed95 (diff)
downloadslackbuilds-af6d6c5867121e2590d4c8dbe31abaccffda013b.tar.gz
slackbuilds-af6d6c5867121e2590d4c8dbe31abaccffda013b.tar.xz
misc/krename: Added to 12.0 repository
-rw-r--r--misc/krename/README8
-rw-r--r--misc/krename/doinst.sh4
-rw-r--r--misc/krename/krename.SlackBuild77
-rw-r--r--misc/krename/krename.info8
-rw-r--r--misc/krename/slack-desc12
5 files changed, 109 insertions, 0 deletions
diff --git a/misc/krename/README b/misc/krename/README
new file mode 100644
index 0000000000..89d66fe9ab
--- /dev/null
+++ b/misc/krename/README
@@ -0,0 +1,8 @@
+KRename is a powerful batch renamer for KDE3.
+
+It allows you to easily rename hundreds or even more files in
+one go. The filenames can be created by parts of the original
+filename, numbering the files or accessing hundreds of
+informations about the file, like creation date or Exif
+informations of an image.
+
diff --git a/misc/krename/doinst.sh b/misc/krename/doinst.sh
new file mode 100644
index 0000000000..eec7ae1d81
--- /dev/null
+++ b/misc/krename/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/misc/krename/krename.SlackBuild b/misc/krename/krename.SlackBuild
new file mode 100644
index 0000000000..a9b06bde5a
--- /dev/null
+++ b/misc/krename/krename.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for krename
+
+# Copyright 2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the slackbuilds.org project.
+
+PRGNAM=krename
+VERSION=3.0.14
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+KDEPREF=$(kde-config --prefix) || true
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=$KDEPREF \
+ --sysconfdir=/etc/kde \
+ --localstatedir=/var
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/misc/krename/krename.info b/misc/krename/krename.info
new file mode 100644
index 0000000000..14c12d36bb
--- /dev/null
+++ b/misc/krename/krename.info
@@ -0,0 +1,8 @@
+PRGNAM="krename"
+VERSION="3.0.14"
+HOMEPAGE="http://www.krename.net"
+DOWNLOAD="http://downloads.sourceforge.net/krename/krename-3.0.14.tar.bz2"
+MD5SUM="1f5fe57384d912c11fbd0fae94bb7fca"
+MAINTAINER="ppr:kut"
+EMAIL="HMWiesinger@gmx.at"
+APPROVED="Michiel"
diff --git a/misc/krename/slack-desc b/misc/krename/slack-desc
new file mode 100644
index 0000000000..4ef6dc0291
--- /dev/null
+++ b/misc/krename/slack-desc
@@ -0,0 +1,12 @@
+ |-----handy-ruler----------------------------------------------|
+krename: krename (a powerful batch renamer for KDE3)
+krename:
+krename: It allows you to easily rename hundreds or even more files in
+krename: one go. The filenames can be created by parts of the original
+krename: filename, numbering the files or accessing hundreds of
+krename: informations about the file, like creation date or Exif
+krename: informations of an image.
+krename:
+krename: Homepage: http://www.krename.net
+krename:
+krename: